summaryrefslogtreecommitdiffstats
path: root/jjb/fuel/fuel-basic-exp.sh
diff options
context:
space:
mode:
authorFatih Degirmenci <fatih.degirmenci@ericsson.com>2016-10-10 11:26:51 +0200
committerFatih Degirmenci <fatih.degirmenci@ericsson.com>2016-10-10 11:31:05 +0200
commitd5abc28161a9f724968207c6698a28f9fe61f04e (patch)
tree1cef47cc43fbfe82a80a1c31af623653808bf940 /jjb/fuel/fuel-basic-exp.sh
parent56d2e9a30ceb114678428152e4b54fb52c398ebe (diff)
fuel: Proposal for specifying scenario name in commit message
Please take a look at fuel-basic-exp.sh for the proposal. Apart from scenario name input proposal, jobs and script templatest have been created as well. Change-Id: I53b74b2e1ed34acb1f54b7ab21823227fff86d10 Signed-off-by: Fatih Degirmenci <fatih.degirmenci@ericsson.com>
Diffstat (limited to 'jjb/fuel/fuel-basic-exp.sh')
-rwxr-xr-xjjb/fuel/fuel-basic-exp.sh18
1 files changed, 18 insertions, 0 deletions
diff --git a/jjb/fuel/fuel-basic-exp.sh b/jjb/fuel/fuel-basic-exp.sh
new file mode 100755
index 000000000..a70a0c765
--- /dev/null
+++ b/jjb/fuel/fuel-basic-exp.sh
@@ -0,0 +1,18 @@
+#!/bin/bash
+set -o nounset
+
+echo "-----------------------------------------------------------------------"
+echo $GERRIT_CHANGE_COMMIT_MESSAGE
+echo "-----------------------------------------------------------------------"
+
+# proposal for specifying the scenario name in commit message
+# currently only 1 scenario name is supported but depending on
+# the need, it can be expanded, supporting multiple scenarios
+# using comma separated list or something
+SCENARIO_NAME_PATTERN="(?<=@scenario:).*?(?=@)"
+SCENARIO_NAME=(echo $GERRIT_CHANGE_COMMIT_MESSAGE | grep -oP "$SCENARIO_NAME_PATTERN")
+if [[ $? -ne 0 ]]; then
+ echo "The patch verification will be done only with build!"
+else
+ echo "Will run full verification; build, deploy, and smoke test using scenario $SCENARIO_NAME"
+fi